function m3ver()
% M3VER MAT3D version information.
%  m3ver returns the current MAT3D toolbox version number.
%
%  For example,
%    m3ver
%  retruns the version information for MAT3D Toolbox.
%
%  See also MAT3D

% Copyright (c)1999, Nanping R. Lo nanping@ee.ucla.edu

if nargin ~= 0, error('m3ver accepts noargument'); end

global mat3dversion;
global mat3ddate;

if length (mat3dversion) == 0
   disp ('M3D: run mat3d script first to obtain the mat3d version number.');
else   
   disp ('-------------------------------------------------');
   tmpstr =sprintf ('M3D: Version %s\t\t\t%s', mat3dversion, mat3ddate );
   disp (tmpstr);
   disp ('-------------------------------------------------');
end