function unsel
% UNSEL if an structure is currently selected, this command de-selects 
%  it. The end result is nothing is selected. 
%
%  format: unsel 
%  example: unsel 
%
%  See also MAT3D, HILITE, SEL

% Copyright (c)1999, Nanping R. Lo nanping@ee.ucla.edu


if nargin < 0, error('unsel takes no input.'); end

global selectedObj;
global hilitedObj;

if selectedObj > 0
   
   selectedObj = 0;
   if hilitedObj ~= 0
      unhilite;
   end
else
   
   disp ('nothing selected currently.');
   
end