function m3debug (state)
% M3DEBUG
%  M3DEBUG ON  turns the debug mode.  Enables and generated debug outputs that
%  are built into the mat3d toolkit.
%  M3DEBUG OFF turns the debug mode off.
%
%  For example,
%    M3DEBUG ON
%
%  See also MAT3D

% Copyright (c)1999, Nanping R. Lo nanping@ee.ucla.edu

global m3debug;

if nargin == 0
   disp ('please specify m3debug "on" or "off".');
else
   if strcmp(state, 'on')
      m3debug = 1;
   elseif strcmp (state, 'off')
      m3debug = 0;
   else
      disp ('error: please specify either ''on'' or ''off''.');
   end
end
