function revolve360(n)
% REVOLVE360 revolve the plot 360 degree in the specified steps.
%
%   format: revolve360 (number-of-steps-to-revolve) 
%   example: revolve360 (5) 
%
%  See also MAT3D, VIEW, AXIS

% Copyright (c)1999, Nanping R. Lo nanping@ee.ucla.edu


[az el] =view;
rotvec = 0:360/n:360;
for i = 1:length(rotvec)
   view ([az+rotvec(i) el])
   drawnow
   pause (1);
end

