function showreflectors (state)
% SHOWREFLECTORS make all currently defined reflectors in the plot visible.
%
%  format: showreflectors
%
%  example: showreflectors
%
%  See also MAT3D, SEL, RAYTRACING, RAYSOURCE

% Copyright (c)1999, Nanping R. Lo nanping@ee.ucla.edu

global numbox;
global ibox;

if (nargin ~= 1)
   error('M3D: incorrect number of inputs.');
end

if strcmp(state, 'on')
   onoff ='on';
else
   onoff='off';
end   

for k=1:numbox
   set (ibox(k).hdl, 'visible', onoff );  
end